generic_file_splice_write
Prev | Chapter 6. splice API | Next

## Name

generic_file_splice_write — splice data from a pipe to a file

## Synopsis

`ssize_t generic_file_splice_write (` | struct pipe_inode_info * | pipe,
| struct file * | out,
| loff_t * | ppos,
| size_t | len,
| unsigned int | flags`)`;

## Arguments

`pipe`

  pipe info

`out`

  file to write to

`ppos`

  position in `out`

`len`

  number of bytes to splice

`flags`

  splice modifier flags

## Description

Will either move or copy pages (determined by `flags` options) from the given pipe inode to the given file.

Prev | Up | Next
generic_file_splice_write_nolock | Home | generic_splice_sendpage